Copy and modify the response body JSON by including the new params which need to be
added, and then use updateChannel API to update the channel.
{
"id": "smartDocPdfEx",
"displayName": "PDF",
"processName": "smartDocToQxpRendererEx",
"description": "Generates PDF output of the Smart Document using QuarkXPress.",
"outputType": "application/pdf",
"parameters": [
{
"name": "ASSET_ID",
"runtimeValueRequired": true,
"value": ""
},
… <existing params list>
…
{ "name": "ASSET_MAJOR_VERSION",
"runtimeValueRequired": true,
"value": ""
},
{
"name": "NEW_PARAM_NAME",
"runtimeValueRequired": true,
"value": "param_value"
},
],
"channelType": "PUBLISH"
}